Bug 1371090 - Metrics deployment with dynamic volume didn't work well
Summary: Metrics deployment with dynamic volume didn't work well
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-29 10:04 UTC by Gaoyun Pei
Modified: 2016-09-19 13:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:28:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Comment 1 Brenton Leanhardt 2016-08-29 15:24:10 UTC

*** This bug has been marked as a duplicate of bug 1371006 ***

Comment 3 Scott Dodson 2016-08-30 18:51:06 UTC
https://github.com/openshift/openshift-ansible/pull/2386 still testing this though, I don't have a good setup with AWS/GCE to test thoroughly.

Comment 5 Gaoyun Pei 2016-08-31 02:32:02 UTC
Verify this bug with openshift-ansible-3.3.18-1.git.0.a2e63a0.el7.noarch.rpm

When set openshift_hosted_metrics_storage_kind=dynamic in ansible inventory, DYNAMICALLY_PROVISION_STORAGE would be true in metrics deployer command. 

TASK [openshift_metrics : Build metrics deployer command] **********************
Wednesday 31 August 2016  01:38:06 +0000 (0:00:02.134)       0:23:38.088 ****** 
ok: [x.com] => {"ansible_facts": {"deployer_cmd": "oc process -f /usr/share/openshift/examples/infrastructure-templates/enterprise/metrics-deployer.yaml -v HAWKULAR_METRICS_HOSTNAME=hawkular-metrics.x.com,USE_PERSISTENT_STORAGE=true,DYNAMICALLY_PROVISION_STORAGE=true,METRIC_DURATION=7,METRIC_RESOLUTION=10s,IMAGE_PREFIX=x/openshift3/,IMAGE_VERSION=3.3.0,MODE=deploy
...

And the pvc of metrics-cassandra is working well.

[root@ip-172-18-12-156 ~]# oc get pvc
NAME                  STATUS    VOLUME                                     CAPACITY   ACCESSMODES   AGE
metrics-cassandra-1   Bound     pvc-c98ace81-6f1b-11e6-b42f-0eef42a1372f   10Gi       RWO           51m
[root@ip-172-18-12-156 ~]# oc get pvc metrics-cassandra-1 -o json
{
    "kind": "PersistentVolumeClaim",
    "apiVersion": "v1",
    "metadata": {
        "name": "metrics-cassandra-1",
        "namespace": "openshift-infra",
        "selfLink": "/api/v1/namespaces/openshift-infra/persistentvolumeclaims/metrics-cassandra-1",
        "uid": "c98ace81-6f1b-11e6-b42f-0eef42a1372f",
        "resourceVersion": "1138",
        "creationTimestamp": "2016-08-31T01:39:41Z",
        "labels": {
            "metrics-infra": "hawkular-cassandra"
        },
        "annotations": {
            "pv.kubernetes.io/bind-completed": "yes",
            "pv.kubernetes.io/bound-by-controller": "yes",
            "volume.alpha.kubernetes.io/storage-class": "dynamic"
        }
    },
    "spec": {
        "accessModes": [
            "ReadWriteOnce"
        ],
        "resources": {
            "requests": {
                "storage": "10Gi"
            }
        },
        "volumeName": "pvc-c98ace81-6f1b-11e6-b42f-0eef42a1372f"
    },
    "status": {
        "phase": "Bound",
        "accessModes": [
            "ReadWriteOnce"
        ],
        "capacity": {
            "storage": "10Gi"
        }
    }
}


Note You need to log in before you can comment on or make changes to this bug.